# Generated from tiny_backup-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tiny_backup

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Backup your database on S3 or local, optimized for small disk space
License: MIT
URL: http://rubygems.org/gems/tiny_backup
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Backup your database on S3 or local, optimized for small disk space. The
backup will have a starting zip with your data and diff files for each new
backup.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.0-1
- Initial package
